public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/bleach/files/, dev-python/bleach/
Date: Tue,  7 Sep 2021 12:48:10 +0000 (UTC)	[thread overview]
Message-ID: <1631018863.731d715e68ebf5437dce89d82eab776357c93553.arthurzam@gentoo> (raw)

commit:     731d715e68ebf5437dce89d82eab776357c93553
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  7 12:47:43 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Sep  7 12:47:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=731d715e

dev-python/bleach: add 4.1.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/bleach/Manifest                      |  1 +
 dev-python/bleach/bleach-4.1.0.ebuild           | 43 +++++++++++++++++++++++++
 dev-python/bleach/files/bleach-4.1.0-py39.patch | 36 +++++++++++++++++++++
 3 files changed, 80 insertions(+)

diff --git a/dev-python/bleach/Manifest b/dev-python/bleach/Manifest
index 20884777f2b..4fb539b48ec 100644
--- a/dev-python/bleach/Manifest
+++ b/dev-python/bleach/Manifest
@@ -1 +1,2 @@
 DIST bleach-4.0.0.tar.gz 183459 BLAKE2B 380e94163b353e9436748fc6c1f368fb4d261087c2d6bc6fab1262295d597dbe81a67c34b889a29fd6a5180b8b522b517dc234e78b26556a16845f26f83151c8 SHA512 21f2a2dc5fa5e09cc2e38325191d7dc0bff2606cbe68ade54d866e326e712cb00a80b3a7a44f844ad4967ee6fdf453cca07d02c337bf147e4a12237231bcd99f
+DIST bleach-4.1.0.tar.gz 195798 BLAKE2B 68afd58aa099acb5c21f1ff76301c46834f326ea2aa4fe7a6f820c2cf31913e81dc72deecab4272b2a7ceab1ae01bec028a5cf5e6214cddef4cdec5ec05ea4c6 SHA512 34c522dde5126995789e23fd28f7938d025f56e97e30814dc326d33a772d40fc2ad2f25aed0b367fd4352b1e1e8f54b80282b931819203bf60448ffe2f120622

diff --git a/dev-python/bleach/bleach-4.1.0.ebuild b/dev-python/bleach/bleach-4.1.0.ebuild
new file mode 100644
index 00000000000..0dc5d1156b8
--- /dev/null
+++ b/dev-python/bleach/bleach-4.1.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="An easy whitelist-based HTML-sanitizing tool"
+HOMEPAGE="
+	https://github.com/mozilla/bleach/
+	https://pypi.org/project/bleach/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+	dev-python/packaging[${PYTHON_USEDEP}]
+	>=dev-python/html5lib-1.0.1-r1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.1.0-py39.patch
+)
+
+src_prepare() {
+	# unbundle unpatched broken html5lib
+	rm -r bleach/_vendor || die
+	sed -i -e 's:bleach\._vendor\.::' \
+		bleach/html5lib_shim.py \
+		bleach/sanitizer.py \
+		tests/test_clean.py || die
+	# indirect html5lib deps
+	sed -i -e '/six/d' -e '/webencodings/d' setup.py || die
+
+	sed -i -e '/import/s/parse/urllib.&/' bleach/sanitizer.py || die
+
+	distutils-r1_src_prepare
+}

diff --git a/dev-python/bleach/files/bleach-4.1.0-py39.patch b/dev-python/bleach/files/bleach-4.1.0-py39.patch
new file mode 100644
index 00000000000..8460be601a2
--- /dev/null
+++ b/dev-python/bleach/files/bleach-4.1.0-py39.patch
@@ -0,0 +1,36 @@
+diff --git a/tests/test_clean.py b/tests/test_clean.py
+index 8f816f9..2be6f7b 100644
+--- a/tests/test_clean.py
++++ b/tests/test_clean.py
+@@ -525,31 +525,16 @@ def test_attributes_list():
+             {"protocols": ["http"]},
+             '<a href="example.com">valid</a>',
+         ),
+-        (
+-            '<a href="example.com:8000">valid</a>',
+-            {"protocols": ["http"]},
+-            '<a href="example.com:8000">valid</a>',
+-        ),
+         (
+             '<a href="localhost">valid</a>',
+             {"protocols": ["http"]},
+             '<a href="localhost">valid</a>',
+         ),
+-        (
+-            '<a href="localhost:8000">valid</a>',
+-            {"protocols": ["http"]},
+-            '<a href="localhost:8000">valid</a>',
+-        ),
+         (
+             '<a href="192.168.100.100">valid</a>',
+             {"protocols": ["http"]},
+             '<a href="192.168.100.100">valid</a>',
+         ),
+-        (
+-            '<a href="192.168.100.100:8000">valid</a>',
+-            {"protocols": ["http"]},
+-            '<a href="192.168.100.100:8000">valid</a>',
+-        ),
+         pytest.param(
+             *(
+                 '<a href="192.168.100.100:8000/foo#bar">valid</a>',


             reply	other threads:[~2021-09-07 12:48 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-07 12:48 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-09-19  7:21 [gentoo-commits] repo/gentoo:master commit in: dev-python/bleach/files/, dev-python/bleach/ Michał Górny
2020-05-27 20:45 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1631018863.731d715e68ebf5437dce89d82eab776357c93553.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox